db4o |

# Db4o Methods

The methods of the Db4o class are listed below. For a complete list of Db4o class members, see the Db4o Members topic.

#### Public Static Methods

Configure | returns the global db4o Configuration context for the running JVM session. The Configuration can be overriden in each ObjectContainer .
LicensedTo | enters the licensing information into licensed versions.
Main | prints the version name of this version to
    System.out
.
OpenClient | opens an ObjectContainer client and connects it to the specified named server and port. The server needs to allow access for the specified user and password. A client ObjectContainer can be cast to ExtClient to use extended ExtObjectContainer and ExtClient methods.
OpenFile | opens an ObjectContainer on the specified database file for local use. Subsidiary calls with the same database file name will return the same ObjectContainer object. Every call to
    openFile()
requires a corresponding ObjectContainer.close . Database files can only be accessed for readwrite access from one process (one Java VM) at one time. All versions except for db4o mobile edition use an internal mechanism to lock the database file for other processes.
OpenServer | opens an ObjectServer on the specified database file and port. If the server does not need to listen on a port because it will only be used in embedded mode with com.db4o.ObjectServer.OpenClient , specify '0' as the port number.
Version | returns the version name of the used db4o version.

#### Protected Static Methods

OpenMemoryFile1 |

#### Public Instance Methods

Equals (inherited from Object) |
GetHashCode (inherited from Object) |
GetType (inherited from Object) |
ToString (inherited from Object) |

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |

#### See Also

Db4o Class | com.db4o Namespace | ExtDb4o for extended functionality.